//--------------------------------------------------------------
// DVE1
//
// Copyright (c) LWKS Software Ltd.  All Rights Reserved
//--------------------------------------------------------------

#include "_utils.fx"

DeclareLightworksEffect( "DVE1", "Null", kNoSubCategory, kNoNotes, "CanSize" );

//--------------------------------------------------------------
// Inputs
//--------------------------------------------------------------

DeclareInput( Input );

//--------------------------------------------------------------
// Code
//--------------------------------------------------------------
DeclareEntryPoint()
{
   // Read the source pixel

   float4 ret = ReadPixel( Input, uv1 );

   // ARC effects are always last in the chain, so :

   return float4( ret.rgb, 1.0 );
}
