//--------------------------------------------------------------//
// ARGBToBARG
//
// Copyright (c) LWKS Software Ltd.  All Rights Reserved
//--------------------------------------------------------------//
DeclareLightworksEffect( ARGBToBARG, Internal, Colour, kNoNotes, kNoFlags );

DeclareInput( Input );

DeclareEntryPoint()
{
   float4 src = tex2D( Input, uv1 );

   float4 ret = src;
   ret.r = src.g;
   ret.g = src.r;
   ret.b = src.a;
   ret.a = src.b;
   return ret;
}

